/*
************************************************************************
*
*   specs.h -
*
*   Copyright (c) 1995
*
*   ETH Zuerich
*   Institut fuer Molekularbiologie und Biophysik
*   ETH-Hoenggerberg
*   CH-8093 Zuerich
*
*   All Rights Reserved
*
*   Date of last modification : 95/09/15
*   Pathname of SCCS file     : /export/home3/cb/garant-1.0/src/SCCS/s.specs.h
*   SCCS identification       : 1.2
*
************************************************************************
*/
/**************************************************************************/
/* include routines to access spectra in the EASY format                  */
/**************************************************************************/

#ifndef _SPECS_H_
#define _SPECS_H_

/* Interface to spec_inteface.c and coord_conversions.c ********************/
#include <stdio.h>
#include "constants.h"
#include "data_structures.h"

extern "C" {
   Spec_Param_Data *Open_Spec_RO(char *);
   Spec_Param_Data *Open_Spec(char *);
   void Close_Spec(Spec_Param_Data *);
   int Read_Spec_Point(Spec_Param_Data *, int *);
   void Read_Spec_Region(Spec_Param_Data *, int *, int *, int *, int *);
   void Read_Spec_16bit(Spec_Param_Data *, int *, int *, int *, int *);
   int Create_Spec(char *, int, int, int *, int *, int *);
   int Set_Spec_Calib(char *, float *, float *, float *,char);
   int Add_Submatrices(char *, int *, int *);
   void Overwrite_Spec_Region(Spec_Param_Data *, int *, int *, int *, int *);
   void Get_Spec_Param(Spec_Param_Data *, char *, int);
   int Calc_8bit_Int(int);
   int Calc_16bit_Int(int, int);

   void Sp_P(Spec_Param_Data *, float *, float *);
   void P_Sp(Spec_Param_Data *, float *, float *);
   void Fold(Spec_Param_Data *, float *, short int *);
   void UnFold(Spec_Param_Data *, float *, short int *);
}

#endif
